showHilbertImage {HilbertVis} | R Documentation

## display a hilbert

### Description

A convenient wrapper around `levelplot` to display a hilbert image matrix as it is returned by `hilbertImage`. Alternatively to `levelplot`, `EBImage` is available as well.

### Usage

    showHilbertImage( mat,
       palettePos = colorRampPalette(c("white", "red"))(300),
       paletteNeg = colorRampPalette(c("white", "blue"))(300),
       maxPaletteValue = max(abs(mat)),
       mode = c("lattice", "EBImage", "EBImage-batch") )

### Arguments

`mat` | The matrix to be displayed. In principle this can be any matrix, but typically, it is one returned by `hilbertImage`.
`palettePos` | The colour palette to be used for the positive entries in `mat` (including 0).
`paletteNeg` | The colour palette to be used for the negative entries in `mat`.
`maxPaletteValue` | The absolute value to which the right end of the palettes should correspond. (The left ends correspond to 0.)

`mode`

For mode "lattice", the function `levelplot` from the `lattice` package is used. An (invisible) lattice object is returned that can be displayed with `show`. In interactive mode, the image is displayed automatically. For mode "EBImage" the image is displayed with the `EBImage` package, and for "EBImage-batch", the same image is produced and not displayed but rather returned as a value suitable to be passed to EBImage's `display` function.

### Value

A lattice or EBImage graphics object. For all modes except ``EBImage-batch'' it is marked ``invisible''.

### Author(s)

Simon Anders, EMBL-EBI (sanders@fs.tum.de)

### See Also

`hilbertImage`

### Examples

      # See ?hilbertImage for examples.

[Package HilbertVis version 1.2.0 Index]